Returns the port on which this server is listening

- « MongoDB\Driver\Server::getLatency

- MongoDB\Driver\Server::getServerDescription »

- PHP Manual
- MongoDB\Driver\Server
- Returns the port on which this server is listening

# MongoDB\Driver\Server::getPort

(mongodb >=1.0.0)

MongoDB\Driver\Server::getPort — Returns the port on which this server is listening

### Description

final public MongoDB\Driver\Server::getPort(): int

Returns the port on which this server is listening.

### Parameters

This function has no parameters.

### Return Values

Returns the port on which this server is listening.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\Server::getPort() example

    <?php$manager = new MongoDB\Driver\Manager("mongodb://localhost:27017/");$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_PRIMARY);$server = $manager->selectServer($rp);var_dump($server->getPort());?>

The above example will output:

    int(27017)

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information describing this server
- MongoDB\Driver\ServerDescription::getPort() - Returns the port on which this server is listening